package cube_demo;

import com.sun.j3d.utils.image.TextureLoader;
import javax.media.j3d.Appearance;
import javax.media.j3d.Geometry;
import javax.media.j3d.ImageComponent2D;
import javax.media.j3d.QuadArray;
import javax.media.j3d.Shape3D;
import javax.media.j3d.Texture;
import javax.media.j3d.Texture2D;
import javax.swing.JPanel;
import javax.vecmath.Point3d;
import javax.vecmath.TexCoord2f;

class FloorShade extends Shape3D {
  private Geometry mGeom;
  
  private Appearance mApr;
  
  public FloorShade(int paramInt, double paramDouble1, double paramDouble2, JPanel paramJPanel) {
    this.mGeom = createGeometry(paramInt, paramDouble1, paramDouble2);
    this.mApr = createAppearance(paramJPanel);
    setAppearance(this.mApr);
    setGeometry(this.mGeom);
  }
  
  private Geometry createGeometry(int paramInt, double paramDouble1, double paramDouble2) {
    QuadArray quadArray = new QuadArray(4, 33);
    Point3d point3d = new Point3d();
    int i = 0;
    TexCoord2f texCoord2f = new TexCoord2f();
    switch (paramInt) {
      case 0:
        point3d.set(-paramDouble1 / 2.0D, 0.0D, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, -paramDouble2, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, -paramDouble2, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, 0.0D, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        break;
      case 1:
        point3d.set(paramDouble1 / 2.0D, 0.0D, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, -paramDouble2, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, -paramDouble2, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, 0.0D, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        break;
      case 2:
        point3d.set(paramDouble1 / 2.0D, 0.0D, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(paramDouble1 / 2.0D, -paramDouble2, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, -paramDouble2, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, 0.0D, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        break;
      case 3:
        point3d.set(-paramDouble1 / 2.0D, 0.0D, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, -paramDouble2, -paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, -paramDouble2, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        point3d.set(-paramDouble1 / 2.0D, 0.0D, paramDouble1 / 2.0D);
        quadArray.setCoordinate(i++, point3d);
        break;
    } 
    i = 0;
    texCoord2f.set(0.0F, 1.0F);
    quadArray.setTextureCoordinate(0, i++, texCoord2f);
    texCoord2f.set(0.0F, 0.0F);
    quadArray.setTextureCoordinate(0, i++, texCoord2f);
    texCoord2f.set(1.0F, 0.0F);
    quadArray.setTextureCoordinate(0, i++, texCoord2f);
    texCoord2f.set(1.0F, 1.0F);
    quadArray.setTextureCoordinate(0, i++, texCoord2f);
    return (Geometry)quadArray;
  }
  
  private Appearance createAppearance(JPanel paramJPanel) {
    Appearance appearance = new Appearance();
    TextureLoader textureLoader = new TextureLoader("src/pics/logo_big.png", paramJPanel);
    ImageComponent2D imageComponent2D = textureLoader.getImage();
    Texture2D texture2D = (Texture2D)textureLoader.getTexture();
    appearance.setTexture((Texture)texture2D);
    return appearance;
  }
}


/* Location:              /opt/SpaceControl/Cube_Demo.jar!/cube_demo/FloorShade.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.2.1
 */